Package frc.robot.subsystems.swervedrive.swerve.motors

## Enum CTRESwerveMotor.CTRE_remoteSensor

- java.lang.Object
- - java.lang.Enum<CTRESwerveMotor.CTRE_remoteSensor>
  - - frc.robot.subsystems.swervedrive.swerve.motors.CTRESwerveMotor.CTRE_remoteSensor

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CTRESwerveMotor.CTRE_remoteSensor>`

Enclosing class:
  CTRESwerveMotor

    static enum CTRESwerveMotor.CTRE_remoteSensor
    extends java.lang.Enum<CTRESwerveMotor.CTRE_remoteSensor>

### Enum Constant Summary

Enum Constants
`REMOTE_SENSOR_0`
`REMOTE_SENSOR_1`

### Constructor Summary

Constructors
`private` `CTRE_remoteSensor()`

### Method Summary

All Methods Static Methods Concrete Methods
`static CTRESwerveMotor.CTRE_remoteSensor` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CTRESwerveMotor.CTRE_remoteSensor[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REMOTE_SENSOR_0

    public static final CTRESwerveMotor.CTRE_remoteSensor REMOTE_SENSOR_0

#### REMOTE_SENSOR_1

    public static final CTRESwerveMotor.CTRE_remoteSensor REMOTE_SENSOR_1

### Constructor Detail

#### CTRE_remoteSensor

    private CTRE_remoteSensor()

### Method Detail

#### values

    public static CTRESwerveMotor.CTRE_remoteSensor[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CTRESwerveMotor.CTRE_remoteSensor c : CTRESwerveMotor.CTRE_remoteSensor.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CTRESwerveMotor.CTRE_remoteSensor valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null